package physicssim;
import java.awt.*;

/**
 * <p>Title: physicssim (can you think of a better name?)</p>
 * <p>Description: A physics simulator using clados</p>
 * <p>Copyright: GNU General Public License.  A full copy of the license can be found bundled with this package.
 * <p>Company: </p>
 * @author Martin Baker and Alfred Differ
 * @version 1.0
 */

public class box extends shape {

private static final double[] verts = {
    // front face
    1.0, -1.0,  1.0,
    1.0,  1.0,  1.0,
    -1.0,  1.0,  1.0,
    -1.0, -1.0,  1.0,
    // back face
    -1.0, -1.0,  -1.0,
    -1.0,  1.0,  -1.0,
    1.0,  1.0,  -1.0,
    1.0, -1.0,  -1.0,
  };

private static final int[] coord_index= {
  0,1,2,3, // front face
  4,5,6,7, // back face
  7,6,1,0, // right face
  3,2,5,4, // left face
  1,6,5,2, // top face
  3,4,7,0, // bottom face
  };

public int scale=20;
public int offsetx = 140;
public int offsety = 240;

  public box() {
  }

 /** override shape.paint method
 *
 */
public void paint(Graphics g) {
  for (int face=0;face<6;face++) {
      g.drawLine(
          (int)(verts[coord_index[face*4]*3] * scale+offsetx),
          (int)(verts[coord_index[face*4]*3+1] * scale+offsety),
          (int)(verts[coord_index[face*4+1]*3] * scale+offsetx),
          (int)(verts[coord_index[face*4+1]*3+1] * scale+offsety));
      g.drawLine(
          (int)(verts[coord_index[face*4+1]*3] * scale+offsetx),
          (int)(verts[coord_index[face*4+1]*3+1] * scale+offsety),
          (int)(verts[coord_index[face*4+2]*3] * scale+offsetx),
          (int)(verts[coord_index[face*4+2]*3+1] * scale+offsety));
      g.drawLine(
          (int)(verts[coord_index[face*4+2]*3] * scale+offsetx),
          (int)(verts[coord_index[face*4+2]*3+1] * scale+offsety),
          (int)(verts[coord_index[face*4+3]*3] * scale+offsetx),
          (int)(verts[coord_index[face*4+3]*3+1] * scale+offsety));
      g.drawLine(
          (int)(verts[coord_index[face*4+3]*3] * scale+offsetx),
          (int)(verts[coord_index[face*4+3]*3+1] * scale+offsety),
          (int)(verts[coord_index[face*4]*3] * scale+offsetx),
          (int)(verts[coord_index[face*4]*3+1] * scale+offsety));
    }
}
}